CVE-2004-2223
CVSS5.0
发布时间 :2004-12-31 00:00:00
修订时间 :2008-09-05 16:43:32
NMCO    

[原文]FsPHPGallery before 1.2 allows remote attackers to cause a denial of service via an image with a large size attribute, which causes a crash when the server attempts to resize the image.


[CNNVD]FsPHPGallery多个输入验证漏洞(CNNVD-200412-1061)

        FsPHPGallery 1.2之前的版本存在漏洞。远程攻击者可以借助一个尺寸属性超大的图像导致服务拒绝,该漏洞在服务器尝试修改图像尺寸时可能导致崩溃。

- CVSS (基础分值)

CVSS分值: 5 [中等(MEDIUM)]
机密性影响: NONE [对系统的机密性无影响]
完整性影响: NONE [不会对系统完整性产生影响]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/a:fsphpgallery:fsphpgallery:1.1
cpe:/a:fsphpgallery:fsphpgallery:0.3.1
cpe:/a:fsphpgallery:fsphpgallery:1.0.1
cpe:/a:fsphpgallery:fsphpgallery:0.2

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2004-2223
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2004-2223
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200412-1061
(官方数据源) CNNVD

- 其它链接及资源

http://xforce.iss.net/xforce/xfdb/17947
(PATCH)  XF  fsphpgallery-size-dos(17947)
http://www.securityfocus.com/bid/11594
(PATCH)  BID  11594
http://www.osvdb.org/11389
(PATCH)  OSVDB  11389
http://securitytracker.com/id?1012063
(PATCH)  SECTRACK  1012063
http://secunia.com/advisories/13074
(VENDOR_ADVISORY)  SECUNIA  13074

- 漏洞信息

FsPHPGallery多个输入验证漏洞
中危 输入验证
2004-12-31 00:00:00 2005-10-20 00:00:00
远程  
        FsPHPGallery 1.2之前的版本存在漏洞。远程攻击者可以借助一个尺寸属性超大的图像导致服务拒绝,该漏洞在服务器尝试修改图像尺寸时可能导致崩溃。

- 公告与补丁

        The vendor has supplied the following update to address these issues:
        FsPHPGallery FsPHPGallery 0.2
        
        FsPHPGallery FsPHPGallery 0.3.1
        
        FsPHPGallery FsPHPGallery 1.0.1
        
        FsPHPGallery FsPHPGallery 1.1
        

- 漏洞信息

11389
FsPHPGallery Image Resize DoS
Remote / Network Access Denial of Service
Loss of Availability
Exploit Public Vendor Verified

- 漏洞描述

FsPHPGallery contains a flaw that may allow a remote denial of service. The issue is triggered due to improper bounds checking during the resize of large user supplied images, and will result in loss of availability for the server.

- 时间线

2004-11-02 Unknow
2004-11-02 Unknow

- 解决方案

Upgrade to version 1.2 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

Unknown or Incomplete
 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站